function printMatrix(filename,M,header_top,header_left)
% Writes cell array content into a *.csv file.
% 
% Saves a Matrix with the specified top and left
% header
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
datei = fopen(filename,'w');
string='Time (m)';
for x = 1:size(header_top,1)
    var = eval(['header_top{x}']);
    string=strcat(string,',',var);
end
fprintf(datei,'%s\n',string);
for z=1:size(M,1)
    string = sprintf('%d',header_left(z));
    for s=1:(size(M,2)-1)
        string= sprintf('%s,%8.5f',string,M(z,s));
    end
    string = sprintf('%s,%8.5f\n',string,M(z,size(M,2)));
    fprintf(datei,'%s',string);
end
fclose(datei);
end